diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index d6d1a66..c72b565 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -13668,11 +13668,13 @@ PolynomialSetCategory(R:Ring, E:OrderedAbelianMonoidSup,_
 
      variables1(lp:List(P)):(List VarSet) ==
        lvars : List(List(VarSet)) := [variables(p)$P for p in lp]
-       sort(#1 > #2, removeDuplicates(concat(lvars)$List(VarSet)))
+       sort((z1:VarSet,z2:VarSet):Boolean +-> z1 > z2, 
+             removeDuplicates(concat(lvars)$List(VarSet)))
 
      variables2(lp:List(P)):(List VarSet) ==
        lvars : List(VarSet) := [mvar(p)$P for p in lp]
-       sort(#1 > #2, removeDuplicates(lvars)$List(VarSet))
+       sort((z1:VarSet,z2:VarSet):Boolean +-> z1 > z2, 
+             removeDuplicates(lvars)$List(VarSet))
 
      variables (ps:$) ==
        variables1(elements(ps))
@@ -13752,7 +13754,7 @@ PolynomialSetCategory(R:Ring, E:OrderedAbelianMonoidSup,_
        lp := remove(zero?, lp)
        empty? lp => true
        any? (ground?, lp) => false
-       lp := sort(mvar(#1)$P > mvar(#2)$P, lp)
+       lp := sort((z1:P,z2:P):Boolean +-> mvar(z1)$P > mvar(z2)$P, lp)
        p,q : P
        p := first lp
        lp := rest lp
diff --git a/changelog b/changelog
index 8f1cdec..6b0550d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090509 tpd src/axiom-website/patches.html 20090509.07.tpd.patch
+20090509 tpd books/bookvol10.2 PSETCAT +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.06.tpd.patch
 20090509 tpd books/bookvol10.3 BOP +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1468e09..03a4289 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1144,5 +1144,7 @@ bookvol10.2 MATCAT +-> conversion<br/>
 bookvol10.2 MATCAT +-> conversion (missed one)<br/>
 <a href="patches/20090509.06.tpd.patch">20090509.06.tpd.patch</a>
 bookvol10.3 BOP +-> conversion<br/>
+<a href="patches/20090509.07.tpd.patch">20090509.07.tpd.patch</a>
+bookvol10.2 PSETCAT +-> conversion<br/>
  </body>
 </html>
